Package twisted :: Package im :: Module gtkchat :: Class Conversation |
[frames | no frames]

## Class Conversation

    InputOutputWindow --+
                        |
                       Conversation

GUI representation of a conversation.

Method Summary
| `__init__(self, person)`
| `_cbTextSent(self, result, text, metadata)`
| `getTitle(self)`
| `sendText(self, text)`
| `showMessage(self, text, metadata)`
Inherited from InputOutputWindow
| ``getCurrentWord`(self, entry)`
| ``handle_key_press_event`(self, entry, event)`
| ``hidden`(self, w)`
| ``hide`(self)`
| ``historyDown`(self)`
| ``historyUp`(self)`
| ``show`(self)`
| ``tabComplete`(self, word)` Override me to implement tab completion for your window, I should return a list of potential matches.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net